var $tableServiciosProgramados;

$("document").ready(function () {	

	$("#linkInicio").addClass("subdrop");

    $tableServiciosProgramados = $("#tablaServiciosProgramados");
    $tableServiciosTerminados = $("#tablaServiciosTerminados");
	$tableServiciosProforma = $("#tablaServiciosProforma");
	$tableServiciosFacturado = $("#tablaServiciosFacturados");
	$tableServiciosPendiente = $("#tablaServiciosPendientes");

    consultaXestado();
    consultaTerminados();
	consultaServiciosProforma();
	consultaServiciosFacturados();
    consultaServiciosPendientes();
    
    
});

function consultaXestado(){
	var json_request = {
		tipoOperacion: "consultarXestado"            
		,pEstado:"1"
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "../moversa/dataAccess/serviciosProgramados.php",
		dataType: "json",
        async: true,        
		beforeSend: function () {
			ajaxindicatorstart();
		},
		success: function (resp) {             
			
			$tableServiciosProgramados.dataTable().fnDestroy();
			$tableServiciosProgramados.DataTable({
				data: resp.datos,
				language: JSON.parse(lenguaje),
                autoWidth: false,
                searching:false,
                info:false,
                paging:false,
				columns: [
					{ "data": "buque" },					
                    { "data": "cliente" },
                    { "data": "eta" }
				]
			});					
		},
		complete: function () {
			ajaxindicatorstop();
		},
		error: function (xhr, ajaxOptions, thrownError) {
			MessageBox(0, xhr.responseText);
		}
	});
}

function consultaTerminados(){
	var json_request = {
		tipoOperacion: "consultarXestado"            
		,pEstado:"2"
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "../moversa/dataAccess/serviciosProgramados.php",
		dataType: "json",
		async: true,
		beforeSend: function () {
			ajaxindicatorstart();
		},
		success: function (resp) {             
			
			$tableServiciosTerminados.DataTable().clear().draw();
			$tableServiciosTerminados.dataTable().fnDestroy();
			$tableServiciosTerminados.DataTable({
				data: resp.datos,
				"language": JSON.parse(lenguaje),
				"autoWidth": false,
				info:false,
				paging:false,
				searching:false,
				columns: [
					{ "data": "buque" },					
					{ "data": "cliente" },
				]
            });	
                        
            $("#spanTerminados").text(resp.datos.length);
		},
		complete: function () {
			ajaxindicatorstop();
		},
		error: function (xhr, ajaxOptions, thrownError) {
			MessageBox(0, xhr.responseText);
		}
	});
}


function consultaServiciosProforma(){
	var json_request = {
		tipoOperacion: "consultarXestado"            
		,pEstado:"3"
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "../moversa/dataAccess/serviciosProgramados.php",
		dataType: "json",
		async: true,
		beforeSend: function () {
			ajaxindicatorstart();
		},
		success: function (resp) {             
			
			$tableServiciosProforma.DataTable().clear().draw();
			$tableServiciosProforma.dataTable().fnDestroy();
			$tableServiciosProforma.DataTable({
				data: resp.datos,
				"language": JSON.parse(lenguaje),
				"autoWidth": false,
				info:false,
				paging:false,
				searching:false,
				columns: [
					{ "data": "buque" },					
					{ "data": "cliente" }
				]
            });		
            $("#spanProforma").text(resp.datos.length);			
		},
		complete: function () {
			ajaxindicatorstop();
		},
		error: function (xhr, ajaxOptions, thrownError) {
			MessageBox(0, xhr.responseText);
		}
	});
}

function consultaServiciosFacturados(){
	var json_request = {
		tipoOperacion: "consultarXestado"            
		,pEstado:"4"
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "../moversa/dataAccess/serviciosProgramados.php",
		dataType: "json",
		async: true,
		beforeSend: function () {
			ajaxindicatorstart();
		},
		success: function (resp) {             
			
			$tableServiciosFacturado.DataTable().clear().draw();
			$tableServiciosFacturado.dataTable().fnDestroy();
			$tableServiciosFacturado.DataTable({
				data: resp.datos,
				"language": JSON.parse(lenguaje),
				"autoWidth": false,
				info:false,
				paging:false,
				searching:false,
				columns: [
					{ "data": "buque" },
					{ "data": "cliente" }
				]
            });		
            
            $("#spanFacturar").text(resp.datos.length);		
		},
		complete: function () {
			ajaxindicatorstop();
		},
		error: function (xhr, ajaxOptions, thrownError) {
			MessageBox(0, xhr.responseText);
		}
	});
}


function consultaServiciosPendientes(){
	var json_request = {
		tipoOperacion: "consultarXestado"            
		,pEstado:"5"
	};
	
	$.ajax({
		type: "POST",
		data: json_request,
		url: "../moversa/dataAccess/serviciosProgramados.php",
		dataType: "json",
		async: true,
		beforeSend: function () {
			ajaxindicatorstart();
		},
		success: function (resp) {             
		
			$tableServiciosPendiente.DataTable().clear().draw();
			
			$tableServiciosPendiente.dataTable().fnDestroy();
			$tableServiciosPendiente.DataTable({
				data: resp.datos,
				"language": JSON.parse(lenguaje),
				"autoWidth": false,
				info:false,
				paging:false,
				searching:false,
				columns: [
					{ "data": "buque" },					
					{ "data": "cliente" }
				]
            });	
            
            $("#spanCobros").text(resp.datos.length);	
		},
		complete: function () {
			ajaxindicatorstop();
		},
		error: function (xhr, ajaxOptions, thrownError) {
			MessageBox(0, xhr.responseText);
		}
	});
}